%define major		1
%define libname		%mklibname kdevideo %{major}
%define develname	%mklibname kdevideo -d

%define compile_enable_final 0

%define kdetv_epoch 1

Summary: 		TV viewer for KDE
Name: 			kdetv
Version: 		0.8.9
Release: 		%mkrel 5
Source: 		%{name}-%{version}.tar.bz2
Group: 			Video
License: 		GPLv2+
URL: 			http://www.kde-apps.org/content/show.php?content=11602
Patch1:			kdetv-0.8.4-lib64.patch
Patch2:			kdetv-0.8.7-simd.patch
Patch3:			kdetv-0.8.9-auto26.patch
BuildRequires: 		kdelibs-devel
BuildRequires:		qt3-devel
BuildRequires:		arts
BuildRequires:		jpeg-devel
BuildRequires:		png-devel
BuildRequires:		kdebase-devel 
Buildrequires:		arts-devel
BuildRequires:		libMesaGLU-devel
BuildRequires:		libxxf86dga-devel
BuildRequires:		libxt-devel
BuildRequires:		libxv-devel
BuildRequires:		desktop-file-utils
Requires: 		arts
# (nl)  maybe it should be better to only require kdebase-common
Requires:               kdebase
Requires:		%{libname} = %{kdetv_epoch}:%{version}-%{release} 
Obsoletes:		kwintv


%description
Kdetv allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xawtv
but it is is based on Qt and integrated in KDE.


%package -n %{libname}
Summary:		kdevideo libraries
Group:			System/Libraries
Epoch:			%{kdetv_epoch}
License:		LGPLv2+

%description -n %{libname}
These libraries provide TV support to KDE.


%package -n %{develname}
Summary:		kdevideo libraries
Group:			Development/KDE and Qt
Epoch:			%{kdetv_epoch}
License:		LGPLv2+
Requires:		%{libname} = %{kdetv_epoch}:%{version}-%{release}
Obsoletes:		%{mklibname kdevideo 1 -d}

%description -n %{develname}
These are the files needed to develop applications that use qtvision
libraries.


%prep
rm -rf %{buildroot}

%setup -q
%patch1 -p1 -b .lib64
%patch2 -p1 -b .simd-flags
%patch3 -p1 -b .auto26

%build
make -f admin/Makefile.common
export QTDIR=%{qt3dir}
export KDEDIR=%{_prefix}
export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
	%configure  --disable-rpath \
%if "%{_lib}" != "lib"
				--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
%if %compile_enable_final
				--enable-final \
%endif
        		--disable-debug 

%make

%install
%makeinstall_std

chmod 4755 %buildroot/%{_bindir}/kdetvv4lsetup

# Dynamic desktop support
%define launchers /etc/dynamic/launchers/tvtuner
mkdir -p %{buildroot}%{launchers}
cat > %{buildroot}%{launchers}/%{name}.desktop << EOF
[Desktop Entry]
Name=KdeTv \$devicename
Comment=Kdetv
Exec=%{_bindir}/kdetv
Terminal=false
Icon=kdetv
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications/kde
desktop-file-install --vendor='' --delete-original \
  --remove-key="Encoding" \
  --remove-category="Multimedia" \
  --remove-category="QT" \
  --add-category="Qt" \
  --dir %{buildroot}%{_datadir}/applications/kde/ %{buildroot}%{_datadir}/applnk/Multimedia/kdetv.desktop

%find_lang %{name} --with-html

%clean
rm -rf %{buildroot}

%post
%{update_menus}
update-alternatives --install %{launchers}/kde.desktop tvtuner.kde.dynamic %{launchers}/%{name}.desktop 31
update-alternatives --install %{launchers}/gnome.desktop tvtuner.gnome.dynamic %{launchers}/%{name}.desktop 29
%{update_icon_cache hicolor}

%postun
%clean_menus
if [ $1 = 0 ]; then
  update-alternatives --remove tvtuner.kde.dynamic %{launchers}/%{name}.desktop
  update-alternatives --remove tvtuner.gnome.dynamic %{launchers}/%{name}.desktop
fi
%{clean_icon_cache hicolor}


%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/kdetv

%{_bindir}/kdetvv4lsetup

%dir %{_datadir}/apps/kdetv/
%{_datadir}/apps/kdetv/tips

%{_iconsdir}/hicolor/*/apps/kdetv.png

%{_datadir}/apps/kdetv/*.rc

%{_datadir}/applications/kde/%{name}.desktop

%dir %{_datadir}/apps/kdetv/channels-dist/
%{_datadir}/apps/kdetv/channels-dist/*.list
%{_datadir}/apps/kdetv/channels-dist/*.map

%{_datadir}/apps/profiles/kdetv.profile.xml

%{_datadir}/services/kdetv/*.desktop

%{_datadir}/servicetypes/kdetv/*.desktop   

%{_datadir}/apps/kdetv/icons/hicolor/16x16/apps/*.png
%{_datadir}/apps/kdetv/icons/hicolor/22x22/actions/*.png
   
%{_datadir}/apps/kdetv/icons/hicolor/22x22/apps/*.png
%{_datadir}/apps/kdetv/icons/hicolor/32x32/apps/*.png


%config(noreplace) %{launchers}/%{name}.desktop

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so

%{_libdir}/*.la
%{_libdir}/*.so.*


%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so


%changelog
* Thu Dec 27 2007 Funda Wang <fundawang@mandriva.org> 0.8.9-5mdv2008.1
+ Revision: 138354
- rebuild

* Fri Dec 21 2007 Adam Williamson <awilliamson@mandriva.com> 0.8.9-4mdv2008.1
+ Revision: 136135
- fix file list. man I suck today
- more XDG menu category fixes
- argh, I suck
- oops, move the .desktop file INSIDE the buildroot
- updated auto26.patch to fix the test for automake as well as autoconf
- new devel policy
- move XDG menu entry to correct location
- drop legacy menu
- update URL (homepage is dead)
- new license policy
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode icon extension

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Group


* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 0.8.9-3mdv2007.1
+ Revision: 146365
- tag lang on HTML doc
- fix build with latest autotools
- Import kdetv

* Sun Aug 13 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.9-2
- add BuildRequires: libxxf86dga-devel libxt-devel libxv-devel

* Mon Aug 07 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.9-1
- 0.8.9

* Wed Jul 19 2006 Nicolas Lécureuil <neoclust@mandriva.org>1:0.8.8-3mdv2007.0
- Rebuild for new menu && extension
- Use macro for icons

* Sat Sep 10 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.8-2
- Rebuild

* Sat Aug 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.8-1mdk
- 0.8.8
- Fix requires

* Fri Aug 26 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.8.7-3mdk
- fix build with simd flags

* Sat Jul 09 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.7-2mdk
- Rebuild

* Fri Apr 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.7-1mdk
- 0.8.7

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.6-1mdk
- 0.8.6

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-3mdk
- Add patch5: fix crash when we select a channel

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-2mdk
- Add patch3: fix kde bug #99049
- Add patch4: fix kde bug #99281

* Sun Jan 30 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Fri Nov 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-2mdk
- Fix package

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Reapply Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> changes (sorry)

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Mon Oct 04 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-6mdk
- Fix epoch in -devel Requirement
- remove unusefull requirement

* Wed Sep 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-5mdk
- Fix dynamic icon

* Tue Sep 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-4mdk
- Use devicename

* Sat Sep 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-3mdk
- Add dynamic desktop file

* Sat Aug 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.2-2mdk
- add BuildRequires: libMesaGLU-devel

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-0.cvs20040725.1mdk
- Use snapshot before official 0.8.2 release

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-2mdk
- Fix spec file

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- First package

